Moduł PayU jest zgodny z wymogami dotyczącymi TLSv1.2

Moduł PayU jest zgodny z wymogami dotyczącymi TLSv1.2

 (0)    0

  TechnicznePayU  

Niedawno PayU rozesłało do swoich klientów (właścicieli sklepów) mail informujący, że od 30 czerwca 2018 roku serwery PayU obsługiwać będą komunikację szyfrowaną wyłącznie protokołem TLS w wersji 1.2.

Moduł PayU sam nie odpowiada za szyfrowanie komunikacji, ale używa do połączeń z PayU biblioteki cURL, która to biblioteka jest odpowiedzialna za wybór optymalnego szyfrowania. cURL musi również obsługiwać TLS v1.2.

Moduł PayU w najnowszej wersji (2.6.11) wymusza szyfrowanie TLS v1.2. W momencie zapisywania parametrów POS moduł wykonuje testowe połączenie z serwerami PayU. Gdy połączenie się powiedzie, wyświetlany jest komunikat "Udany test adresu powiadomień" co oznacza, że szyfrowanie TLS v1.2 jest dostępne.

 (0)    0

Twój komentarz został wysłany, dziękujemy!
Napisz komentarz
Przepisz znaki z obrazu do pola